:mod:`scene`
============

.. currentmodule:: silx.gui.plot3d.scene

.. automodule:: silx.gui.plot3d.scene

:mod:`axes`: Bounding Box with axes ticks and labels
----------------------------------------------------

.. automodule:: silx.gui.plot3d.scene.axes
   :members:

:mod:`camera`: Projection management classes
--------------------------------------------

.. automodule:: silx.gui.plot3d.scene.camera
   :members:

:mod:`core`: Base class of the scene nodes
------------------------------------------

.. automodule:: silx.gui.plot3d.scene.core
   :members:

:mod:`cutplane`: Cutting plane primitive
----------------------------------------

.. automodule:: silx.gui.plot3d.scene.cutplane
   :members:

:mod:`event`: Scene event system
--------------------------------

.. automodule:: silx.gui.plot3d.scene.event
   :members:

:mod:`function`: OpenGL shader functions
----------------------------------------

.. automodule:: silx.gui.plot3d.scene.function
   :members:

:mod:`interaction`: User interaction implementation
---------------------------------------------------

.. automodule:: silx.gui.plot3d.scene.interaction
   :members:

:mod:`primitives`: Base rendering primitives
--------------------------------------------

.. automodule:: silx.gui.plot3d.scene.primitives
   :members:

:mod:`text`: Text field rendering primitives
--------------------------------------------

.. automodule:: silx.gui.plot3d.scene.text
   :members:

:mod:`transform`: Transformation matrix system
----------------------------------------------

.. automodule:: silx.gui.plot3d.scene.transform
   :members:

:mod:`utils`: Miscellaneous
---------------------------

.. automodule:: silx.gui.plot3d.scene.utils
   :members:

:mod:`viewport`: Root of a scene tree
-------------------------------------

.. automodule:: silx.gui.plot3d.scene.viewport
   :members:

:mod:`window`: On-screen window
-------------------------------

.. automodule:: silx.gui.plot3d.scene.window
   :members:
